libvpd2-2.2.6-3.1.x86_64.rpm


Advertisement

Description

libvpd2 - VPD Database access library for lsvpd

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libvpd2-2.2.6-3.1.x86_64.rpm
Package name libvpd2
Package version 2.2.6
Package release 3.1
Package architecture x86_64
Package type rpm
Category Development/Libraries/Other
Homepage https://github.com/open-power-host-os/libvpd
License LGPL-2.1-or-later
Maintainer -
Download size 62.65 KB
Installed size 185.69 KB
The libvpd_cxx package contains the classes that are used to access a
vpd database created by vpdupdate in the lsvpd package.

Alternatives

Package Version Architecture Repository
libvpd2-2.2.6-3.1.i586.rpm 2.2.6 i586 openSUSE Oss
libvpd2 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.14)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libsqlite3.so.0()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.11)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.20)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -

Provides

Name Value
libvpd-2.2.so.2()(64bit) -
libvpd2 = 2.2.6-3.1
libvpd2(x86-64) = 2.2.6-3.1
libvpd_cxx-2.2.so.2()(64bit) -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libvpd2-2.2.6-3.1.x86_64.rpm
Source Package libvpd2-2.2.6-3.1.src.rpm

Install Howto

Install libvpd2 rpm package:

# zypper install libvpd2

Files

Path
/usr/lib/udev/rules.d/90-vpdupdate.rules
/usr/lib64/libvpd-2.2.so.2
/usr/lib64/libvpd-2.2.so.2.2.6
/usr/lib64/libvpd_cxx-2.2.so.2
/usr/lib64/libvpd_cxx-2.2.so.2.2.6

Changelog

2019-01-16 - Tomá? Chvátal <tchvatal@suse.com>
- Switch to pkgconfig dependencies
- Use %license macro
2018-06-20 - jloeser@suse.com
- version update to 2.2.6 (fate#324940, fate#326425)
- Changes run.vpdupdate creation path from /var/lib/lsvpd to /run
- removed patches:
* 0001-Modify-char-array-initialization-style.patch
* 0002-Null-check-before-passing-pointer-to-strlen-call.patch
* 0003-Typo-correction-in-README-file.patch
* 0004-libvpd-Validate-memory-allocation.patch
* 0005-libvpd-Corrects-data-type-of-variables.patch
* 0006-Changes-run.vpdupdate-creation-path-from-var-lib-lsv.patch
* libvpd.async.patch
- modified patches:
* libvpd2.makefile.patch
2018-06-01 - normand@linux.vnet.ibm.com
- Add 6 patches from upstream:
0001-Modify-char-array-initialization-style.patch
this one differ from upstream as do not remove QUERY_BUF_LENGTH
still used in not upstream libvpd.async.patch
0002-Null-check-before-passing-pointer-to-strlen-call.patch
0003-Typo-correction-in-README-file.patch
0004-libvpd-Validate-memory-allocation.patch
0005-libvpd-Corrects-data-type-of-variables.patch
0006-Changes-run.vpdupdate-creation-path-from-var-lib-lsv.patch
last one to avoid reported error systemd-udevd error:
'touch /var/lib/lsvpd/run.vpdupdate' failed with exit code 1
2015-11-24 - p.drouand@gmail.com
- Update to version 2.2.5 (fate#322221)
* Fixed security issues like buffer overflow, memory allocation
validation
* Replaced popen with secured version
* Improved error handling
- Update libvpd.async.patch
2015-08-05 - mpluskal@suse.com
- Move autoreconf to build phase (avoids issues with quilt)
2014-09-03 - jloeser@suse.com
- version update to 2.2.4 (BNC#894858)
- modified patches:
* libvpd2.makefile.patch
2014-05-13 - tchvatal@suse.com
- Version bump to 2.2.3:
* Restrict vpdupdate triggers to device change events
- Cleanup with spec-cleaner
- Add libtool and autoconf as requirements and reconfigure the
autofoo*
- Add download url proper for the tarball.
- Remove no longer needed patch libvpd2-gcc47.patch
2014-01-17 - jloeser@suse.com
- version update to 2.2.2 (FATE#315460)
minor bugfixes
add udev rule for vpdupdate
no upstream changelog provided
- libvpd2.makefile.patch: fix udev rules directory
- add udev and automake to BuildRequires for correct udev rules.d
directory
2012-12-06 - dvaleev@suse.com
- update to 2.2.0
No upstream changelog provided
- don't run autoreconf
- remove libtool from BuildRequires
2012-06-01 - jloeser@suse.com
- clean up spec file

See Also

Package Description
libvpd2-32bit-2.2.6-3.1.x86_64.rpm VPD Database access library for lsvpd
libvpd2-devel-2.2.6-3.1.i586.rpm VPD Database access library for lsvpd
libvpd2-devel-2.2.6-3.1.x86_64.rpm VPD Database access library for lsvpd
libvpd2-devel-32bit-2.2.6-3.1.x86_64.rpm VPD Database access library for lsvpd
libvpp0-19.4-1.1.x86_64.rpm VPP libraries
libvpx-devel-1.8.0-2.1.i586.rpm Development files for libvpx, a VP8/VP9 codec library
libvpx-devel-1.8.0-2.1.x86_64.rpm Development files for libvpx, a VP8/VP9 codec library
libvpx6-1.8.0-2.1.i586.rpm VP8/VP9 codec library
libvpx6-1.8.0-2.1.x86_64.rpm VP8/VP9 codec library
libvpx6-32bit-1.8.0-2.1.x86_64.rpm VP8/VP9 codec library
libvshadow-devel-0~20170902-3.5.i586.rpm Development files for libvshadow
libvshadow-devel-0~20170902-3.5.x86_64.rpm Development files for libvshadow
libvshadow-tools-0~20170902-3.5.i586.rpm Tools to access the Volume Shadow Snapshot (VSS) format
libvshadow-tools-0~20170902-3.5.x86_64.rpm Tools to access the Volume Shadow Snapshot (VSS) format
libvshadow1-0~20170902-3.5.i586.rpm Library and tools to access the Volume Shadow Snapshot (VSS) format
Advertisement
Advertisement